Subject: bug#61162: 30.0.50; RET in source files that are being displayed by gud no longer works

From: Michael Welsh Duggan <[email-masked]>
Date: Wed, 01 Feb 2023 09:30:35 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Michael Welsh Duggan <[email-masked]>
>> Cc: Michael Welsh Duggan <[email-masked]>,  [email-masked]
>> Date: Tue, 31 Jan 2023 15:18:15 -0500
>> 
>> > If you can find a fix on master, patches would be very welcome.
>> > Failing that, I might eventually decide to revert that commit on
>> > master as well.  There's a limit to the efforts I'm prepared to sink
>> > into maintaining what is basically an obsolete package which uses a
>> > GDB feature that GDB developers consider obsolete and may remove any
>> > day (why don't you use "M-x gdb" instead?).
>> 
>> I always use "M-x gud-gdb" because, historically, "M-x gdb" didn't
>> support multiple simultaneous gdb sessions.  If this is no longer the
>> case, I will see if I can change my habits.
>
> This is no longer the case, if it ever was.  What exactly didn't work
> for you when you tried several simultaneous sessions?  The buffer
> where you type GDB commands is named "*gud-PROGRAM*", so you have
> separate buffers for different sessions.  And if you start each one
> from a separate Emacs frame, you should be able to have separate
> multi-window configurations (see gdb-many-windows) for each session.

Ah, I remember now.  It was the ability to debug the same program twice
at once that was lacking.  I haven't needed that ability recently.  (I
needed it in the past when dealing with a program that connected to
other instances of itself.)

-- 
Michael Welsh Duggan
([email-masked])